#include <iostream>
using namespace std;

int main() {
    int M, S;
    cin >> M >> S;

    int K;
    cin >> K;

    int N;
    cin >> N;

    int total = M * 60 + S; // общо време в секунди
    int current = K;        // текущ играч
    int time = 0;           // изминало време

    for (int i = 0; i < N; i++) {
        int T;
        char Z;
        cin >> T >> Z;

        time += T;

        // ако времето е изтекло -> този играч губи
        if (time >= total) {
            cout << current << endl;
            return 0;
        }

        // ако отговорът е верен -> подаваме кутията
        if (Z == 'T') {
            current++;
            if (current > 8) current = 1;
        }
    }

    return 0;
}
